#ifndef CvCamera_h
#define CvCamera_h

#import "External.h"
#import <AVFoundation/AVFoundation.h>
#import <React/RCTBridge.h>
#import <React/RCTBridgeModule.h>
#import <UIKit/UIKit.h>
#import <React/UIView+React.h>

@class CvVideoCamera;

@protocol CvVideoCameraDelegate;

@class MatWrapper;

typedef void (^TakePicBlock)(MatWrapper*);

typedef void (^RecordVidBlock)(NSNumber*,NSNumber*,NSString*);

@interface ObjectDetector : UIImageView <CvVideoCameraDelegate>

@property (nonatomic, weak) RCTBridge *bridge;

@property (nonatomic, copy) TakePicBlock takePicBlock;

@property (nonatomic, copy) RecordVidBlock recordVidBlock;

//@property (nonatomic, retain) CvVideoCamera* videoCamera;

@property (nonatomic, copy) RCTBubblingEventBlock onFrameSize;

@property (nonatomic, copy) RCTBubblingEventBlock onPayload;

@property (nonatomic, copy) RCTBubblingEventBlock onObjectCaptured;

@property (nonatomic, copy) NSDictionary *mCvInvokeGroup;

@property (nonatomic, copy) NSDictionary *mOverlay;

@property (nonatomic, copy) NSNumber *mOverlayInterval;

@property (nonatomic) int mNDetectionB4Take;

@property (nonatomic, copy) NSString *mFilename;

@property (nonatomic, copy) NSString *mFacing;

@property (nonatomic, strong) NSDate *startDate;

- (id)initWithBridge:(RCTBridge*)bridge;

- (void)changeFacing:(NSString*)facing;

- (void)takePicture:(TakePicBlock)takePicBlock;

- (void)setSampleImage:(NSString*)base64ImageString;

- (void)setOverlayColor:(NSString*)hexString;

@end

#endif
